import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { AlertDialogComponent } from './alert-dialog.component';
import { CommonModule } from '@angular/common';
import { ConfirmDialogComponent } from './confirm-dialog.component';
import { HiCommonModule } from '../common';
import { PromptDialogComponent } from './prompt-dialog.component';
var DialogModule = (function () {
    function DialogModule() {
    }
    DialogModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        HiCommonModule,
                        ReactiveFormsModule
                    ],
                    declarations: [
                        AlertDialogComponent,
                        ConfirmDialogComponent,
                        PromptDialogComponent
                    ],
                    entryComponents: [
                        AlertDialogComponent,
                        ConfirmDialogComponent,
                        PromptDialogComponent
                    ]
                },] },
    ];
    return DialogModule;
}());
export { DialogModule };
