import { Component, Input, ChangeDetectionStrategy } from '@angular/core';
var ModalBackdropComponent = (function () {
    function ModalBackdropComponent() {
        this.instanceCount = 0;
    }
    ModalBackdropComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-modal-backdrop',
                    template: "\n    <div class=\"modal-backdrop fade {{modalOptions?.backdropClass || ''}}\"\n         [ngStyle]=\"{'z-index': 1040 + instanceCount * 10 +1}\" [ngClass]=\"{'show': isOpen}\">\n    </div>",
                    changeDetection: ChangeDetectionStrategy.OnPush
                },] },
    ];
    ModalBackdropComponent.propDecorators = {
        "isOpen": [{ type: Input },],
        "modalOptions": [{ type: Input },],
        "instanceCount": [{ type: Input },],
    };
    return ModalBackdropComponent;
}());
export { ModalBackdropComponent };
