var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { ComponentFactoryResolver, Directive, ElementRef, Renderer2, ViewContainerRef } from '@angular/core';
import { TooltipDirective } from '../tooltip/tooltip.directive';
import { PopoverComponent } from './popover.component';
var PopoverDirective = (function (_super) {
    __extends(PopoverDirective, _super);
    function PopoverDirective(elementRef, hostView, resolver, renderer, tooltip) {
        return _super.call(this, elementRef, hostView, resolver, renderer, tooltip) || this;
    }
    PopoverDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[hi-popover]'
                },] },
    ];
    PopoverDirective.ctorParameters = function () { return [
        { type: ElementRef, },
        { type: ViewContainerRef, },
        { type: ComponentFactoryResolver, },
        { type: Renderer2, },
        { type: PopoverComponent, },
    ]; };
    return PopoverDirective;
}(TooltipDirective));
export { PopoverDirective };
