import { Pipe } from '@angular/core';
var OptionPipe = (function () {
    function OptionPipe() {
    }
    OptionPipe.prototype.transform = function (options, input, filterOption, serverSearch) {
        if (serverSearch || !input) {
            return options;
        }
        else {
            return options.filter(function (o) { return filterOption(input, o); });
        }
    };
    OptionPipe.decorators = [
        { type: Pipe, args: [{ name: 'hiFilterOptionPipe' },] },
    ];
    return OptionPipe;
}());
export { OptionPipe };
var SubOptionPipe = (function () {
    function SubOptionPipe() {
    }
    SubOptionPipe.prototype.transform = function (groups, input, filterOption, serverSearch) {
        if (serverSearch || !input) {
            return groups;
        }
        else {
            return groups.filter(function (g) {
                return g.listOfHiOptionComponent.some(function (o) { return filterOption(input, o); });
            });
        }
    };
    SubOptionPipe.decorators = [
        { type: Pipe, args: [{ name: 'hiSubFilterOptionPipe' },] },
    ];
    return SubOptionPipe;
}());
export { SubOptionPipe };
export function defaultFilterOption(input, option) {
    if (option && option.hiLabel) {
        return option.hiLabel.toLowerCase().indexOf(input.toLowerCase()) > -1;
    }
    else {
        return false;
    }
}
