import { Component, Input, ContentChild } from '@angular/core';
import { TabContentDirective } from './tab-content.directive';
import { TabTitleDirective } from './tab-title.directive';
var TabComponent = (function () {
    function TabComponent() {
        this.disabled = false;
    }
    TabComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-tab',
                    template: ''
                },] },
    ];
    TabComponent.propDecorators = {
        "id": [{ type: Input },],
        "icon": [{ type: Input },],
        "title": [{ type: Input },],
        "content": [{ type: Input },],
        "disabled": [{ type: Input },],
        "titleTpl": [{ type: ContentChild, args: [TabTitleDirective,] },],
        "contentTpl": [{ type: ContentChild, args: [TabContentDirective,] },],
    };
    return TabComponent;
}());
export { TabComponent };
